Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# vector.h File Reference

`#include <lib3ds/types.h>`

Include dependency graph for vector.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
LIB3DSAPI void | lib3ds_vector_zero (Lib3dsVector c)
LIB3DSAPI void | lib3ds_vector_copy (Lib3dsVector dest, Lib3dsVector src)
LIB3DSAPI void | lib3ds_vector_neg (Lib3dsVector c)
LIB3DSAPI void | lib3ds_vector_add (Lib3dsVector c, Lib3dsVector a, Lib3dsVector b)
LIB3DSAPI void | lib3ds_vector_sub (Lib3dsVector c, Lib3dsVector a, Lib3dsVector b)
LIB3DSAPI void | lib3ds_vector_scalar (Lib3dsVector c, Lib3dsFloat k)
LIB3DSAPI void | lib3ds_vector_cross (Lib3dsVector c, Lib3dsVector a, Lib3dsVector b)
LIB3DSAPI Lib3dsFloat | lib3ds_vector_dot (Lib3dsVector a, Lib3dsVector b)
LIB3DSAPI Lib3dsFloat | lib3ds_vector_squared (Lib3dsVector c)
LIB3DSAPI Lib3dsFloat | lib3ds_vector_length (Lib3dsVector c)
LIB3DSAPI void | lib3ds_vector_normalize (Lib3dsVector c)
LIB3DSAPI void | lib3ds_vector_normal (Lib3dsVector n, Lib3dsVector a, Lib3dsVector b, Lib3dsVector c)
LIB3DSAPI void | lib3ds_vector_transform (Lib3dsVector c, Lib3dsMatrix m, Lib3dsVector a)
LIB3DSAPI void | lib3ds_vector_cubic (Lib3dsVector c, Lib3dsVector a, Lib3dsVector p, Lib3dsVector q, Lib3dsVector b, Lib3dsFloat t)
LIB3DSAPI void | lib3ds_vector_min (Lib3dsVector c, Lib3dsVector a)
LIB3DSAPI void | lib3ds_vector_max (Lib3dsVector c, Lib3dsVector a)
LIB3DSAPI void | lib3ds_vector_dump (Lib3dsVector c)

## Function Documentation

LIB3DSAPI void lib3ds_vector_add | ( | Lib3dsVector | c,
|  | Lib3dsVector | a,
|  | Lib3dsVector | b
| ) |

LIB3DSAPI void lib3ds_vector_copy | ( | Lib3dsVector | dest,
|  | Lib3dsVector | src
| ) |

LIB3DSAPI void lib3ds_vector_cross | ( | Lib3dsVector | c,
|  | Lib3dsVector | a,
|  | Lib3dsVector | b
| ) |

LIB3DSAPI void lib3ds_vector_cubic | ( | Lib3dsVector | c,
|  | Lib3dsVector | a,
|  | Lib3dsVector | p,
|  | Lib3dsVector | q,
|  | Lib3dsVector | b,
|  | Lib3dsFloat | t
| ) |

LIB3DSAPI Lib3dsFloat lib3ds_vector_dot | ( | Lib3dsVector | a,
|  | Lib3dsVector | b
| ) |

LIB3DSAPI void lib3ds_vector_dump | ( | Lib3dsVector | c | ) |

LIB3DSAPI Lib3dsFloat lib3ds_vector_length | ( | Lib3dsVector | c | ) |

LIB3DSAPI void lib3ds_vector_max | ( | Lib3dsVector | c,
|  | Lib3dsVector | a
| ) |

| c[i] = max(c[i], a[i]);

LIB3DSAPI void lib3ds_vector_min | ( | Lib3dsVector | c,
|  | Lib3dsVector | a
| ) |

| c[i] = min(c[i], a[i]);

LIB3DSAPI void lib3ds_vector_neg | ( | Lib3dsVector | c | ) |

LIB3DSAPI void lib3ds_vector_normal | ( | Lib3dsVector | n,
|  | Lib3dsVector | a,
|  | Lib3dsVector | b,
|  | Lib3dsVector | c
| ) |

LIB3DSAPI void lib3ds_vector_normalize | ( | Lib3dsVector | c | ) |

LIB3DSAPI void lib3ds_vector_scalar | ( | Lib3dsVector | c,
|  | Lib3dsFloat | k
| ) |

LIB3DSAPI Lib3dsFloat lib3ds_vector_squared | ( | Lib3dsVector | c | ) |

LIB3DSAPI void lib3ds_vector_sub | ( | Lib3dsVector | c,
|  | Lib3dsVector | a,
|  | Lib3dsVector | b
| ) |

LIB3DSAPI void lib3ds_vector_transform | ( | Lib3dsVector | c,
|  | Lib3dsMatrix | m,
|  | Lib3dsVector | a
| ) |

LIB3DSAPI void lib3ds_vector_zero | ( | Lib3dsVector | c | ) |